// USBInjectAll configuration/override for Zbook Studio G3 (Skylake)

DefinitionBlock ("", "SSDT", 2, "hack", "usbZbookStudiog3", 0)
{
    //
    // Override for USBInjectAll.kext
    //
    Device(UIAC)
    {
        Name(_HID, "UIA00000")
        Name(RMCF, Package()
        {
            // XHC overrides
            "8086_a12f", Package()
            {
                "port-count", Buffer() { 26, 0, 0, 0 },
                "ports", Package()
                {
                    "HS01", Package()   // HS component of SS port, right
                    {
                        "UsbConnector", 3,
                        "port", Buffer() { 1, 0, 0, 0 },
                    },
                    "HS02", Package()   // ?
                    {
                        "UsbConnector", 255,
                        "port", Buffer() { 2, 0, 0, 0 },
                    },
                    "HS03", Package()   // ?
                    {
                        "UsbConnector", 255,
                        "port", Buffer() { 3, 0, 0, 0 },
                    },
                    "HS04", Package()   // HS component of SS second port, left
                    {
                        "UsbConnector", 3,
                        "port", Buffer() { 4, 0, 0, 0 },
                    },
                    "HS05", Package()   // // HS component of SS second port, right
                    {
                        "UsbConnector", 3,
                        "port", Buffer() { 5, 0, 0, 0 },
                    },
                    "HS06", Package()   // ?
                    {
                        "UsbConnector", 255,
                        "port", Buffer() { 6, 0, 0, 0 },
                    },

                    "HS07", Package()   // HUB to Camera and finger reader
                    {
                        "UsbConnector", 255,
                        "port", Buffer() { 7, 0, 0, 0 },
                    },
                   "HS08", Package()   // ?
                    {
                        "UsbConnector", 255,
                        "port", Buffer() { 8, 0, 0, 0 },
                    },
                    "HS09", Package()   // ?
                    {
                        "UsbConnector", 255,
                        "port", Buffer() { 9, 0, 0, 0 },
                    },
                    "HS10", Package()   // ?
                    {
                        "UsbConnector", 255,
                        "port", Buffer() { 0x0A, 0, 0, 0 },
                    },
                    "HS11", Package()   //?                    
                   {
                        "UsbConnector", 255,
                        "port", Buffer() { 0x0B, 0, 0, 0 },
                    },

                    "HS12", Package()   //Bluetooth host controller
                    {
                        "UsbConnector", 255,
                        "port", Buffer() { 0x0C, 0, 0, 0 },
                    },
                    "HS13", Package()   //?
                    {
                        "UsbConnector", 255,
                        "port", Buffer() { 0x0D, 0, 0, 0 },
                    },
                    "HS14", Package()   //?
                    {
                        "UsbConnector", 255,
                        "port", Buffer() { 0x0E, 0, 0, 0 },
                    },

                    "SS01", Package()   // SS, left
                    {
                        "UsbConnector", 3, //+ 255 too
                        "port", Buffer() { 0x11, 0, 0, 0 },
                    },

                    "SS02", Package()   // ?
                    {
                        "UsbConnector", 3,
                        "port", Buffer() { 0x12, 0, 0, 0 },
                    },

                    "SS03", Package()   // SS, left
                    {
                        "UsbConnector", 3,
                        "port", Buffer() { 0x13, 0, 0, 0 },
                    },
                    "SS04", Package()   // ss, left
                    {
                        "UsbConnector", 3,//+ 255 too
                        "port", Buffer() { 0x14, 0, 0, 0 },
                    },
                    "SS05", Package()   // SS, right
                    {
                        "UsbConnector", 3, //+ 255 too
                        "port", Buffer() { 0x15, 0, 0, 0 },
                    },
                    "SS06", Package()   // ?
                    {
                        "UsbConnector", 3,
                        "port", Buffer() { 0x16, 0, 0, 0 },
                    },
                    "SS07", Package()   // ?
                    {
                        "UsbConnector", 3,
                        "port", Buffer() { 0x17, 0, 0, 0 },
                    },
                    "SS08", Package()   // ?
                    {
                        "UsbConnector", 3,
                        "port", Buffer() { 0x18, 0, 0, 0 },
                    },
                    "SS09", Package()   // ?
                    {
                        "UsbConnector", 3,
                        "port", Buffer() { 0x19, 0, 0, 0 },
                    },
                    "SS010", Package()   // ?
                    {
                        "UsbConnector", 3,
                        "port", Buffer() { 0x1A, 0, 0, 0 },
                    },
                     "USR1", Package()   // ?
                    {
                        "UsbConnector", 255,
                        "port", Buffer() { 0x0F, 0, 0, 0 },
                    },
                     "USR2", Package()   // ?
                    {
                        "UsbConnector", 255,
                        "port", Buffer() { 0x10, 0, 0, 0 },
                    }

                    //SS06 not used
                    //USR1/USR2 not used
                },
            },

        })
    }
}
//EOF
